EventSubscribe.c File Reference

UpnpEventSubscribe object implementation. More...

`#include "config.h"`
`#include "EventSubscribe.h"`
`#include <stdlib.h>`
Include dependency graph for EventSubscribe.c:

## Data Structures

struct | SEventSubscribe

## Functions

UpnpEventSubscribe * | UpnpEventSubscribe_new ()
void | UpnpEventSubscribe_delete (UpnpEventSubscribe *p)
UpnpEventSubscribe * | UpnpEventSubscribe_dup (const UpnpEventSubscribe *p)
void | UpnpEventSubscribe_assign (UpnpEventSubscribe *p, const UpnpEventSubscribe *q)
int | UpnpEventSubscribe_get_ErrCode (const UpnpEventSubscribe *p)
void | UpnpEventSubscribe_set_ErrCode (UpnpEventSubscribe *p, int n)
int | UpnpEventSubscribe_get_TimeOut (const UpnpEventSubscribe *p)
void | UpnpEventSubscribe_set_TimeOut (UpnpEventSubscribe *p, int n)
const UpnpString * | UpnpEventSubscribe_get_SID (const UpnpEventSubscribe *p)
const char * | UpnpEventSubscribe_get_SID_cstr (const UpnpEventSubscribe *p)
void | UpnpEventSubscribe_set_SID (UpnpEventSubscribe *p, const UpnpString *s)
void | UpnpEventSubscribe_strcpy_SID (UpnpEventSubscribe *p, const char *s)
const UpnpString * | UpnpEventSubscribe_get_PublisherUrl (const UpnpEventSubscribe *p)
const char * | UpnpEventSubscribe_get_PublisherUrl_cstr (const UpnpEventSubscribe *p)
void | UpnpEventSubscribe_set_PublisherUrl (UpnpEventSubscribe *p, const UpnpString *s)
void | UpnpEventSubscribe_strcpy_PublisherUrl (UpnpEventSubscribe *p, const char *s)

## Detailed Description

UpnpEventSubscribe object implementation.

Author
  Marcelo Roberto Jimenez

## Function Documentation

void UpnpEventSubscribe_assign | ( | UpnpEventSubscribe * | p,
|  | const UpnpEventSubscribe * | q
| ) |  |

Assignment operator

References UpnpEventSubscribe_get_ErrCode(), UpnpEventSubscribe_get_PublisherUrl(), UpnpEventSubscribe_get_SID(), and UpnpEventSubscribe_get_TimeOut().

Referenced by UpnpEventSubscribe_dup().

void UpnpEventSubscribe_delete | ( | UpnpEventSubscribe * | p | ) |

Destructor

References UpnpString_delete().

Referenced by UpnpThreadDistribution().

UpnpEventSubscribe* UpnpEventSubscribe_dup | ( | const UpnpEventSubscribe * | p | ) |

Copy Constructor

References UpnpEventSubscribe_assign(), and UpnpEventSubscribe_new().

int UpnpEventSubscribe_get_ErrCode | ( | const UpnpEventSubscribe * | p | ) |

The result of the operation.

Referenced by UpnpEventSubscribe_assign().

const UpnpString* UpnpEventSubscribe_get_PublisherUrl | ( | const UpnpEventSubscribe * | p | ) |

The event URL being subscribed to or removed from.

Referenced by UpnpEventSubscribe_assign(), and UpnpThreadDistribution().

const UpnpString* UpnpEventSubscribe_get_SID | ( | const UpnpEventSubscribe * | p | ) |

The SID for this subscription. For subscriptions, this only contains a valid SID if the Upnp_EventSubscribe.result field contains a UPNP_E_SUCCESS result code. For unsubscriptions, this contains the SID from which the subscription is being unsubscribed.

Referenced by GenaAutoRenewSubscription(), UpnpEventSubscribe_assign(), and UpnpThreadDistribution().

int UpnpEventSubscribe_get_TimeOut | ( | const UpnpEventSubscribe * | p | ) |

The actual subscription time (for subscriptions only).

Referenced by GenaAutoRenewSubscription(), and UpnpEventSubscribe_assign().

UpnpEventSubscribe* UpnpEventSubscribe_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by ScheduleGenaAutoRenew(), UpnpEventSubscribe_dup(), and UpnpThreadDistribution().